All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.commands.dataselectors
Class RankingCommand

    com.sas.commands.dataselectors.RankingCommand

All Implemented Interfaces:
  CommandSupportedInterface, CancelInterface, ContentsChangedInterface, DataSelectorCommandInterface, DynamicAttributeCommandInterface, PendingCommandInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, java.lang.Cloneable, java.rmi.Remote

    public class RankingCommand

implements CommandSupportedInterface

This class handles the ranking of a data model in conjunction with the Ranking Selector.

The command processes actions, via the Action Provider Framework, as they are initiated by the visual in response to user input. Actions include show, process, commit, and cancel. Each action causes a corresponding method on this command to be invoked.

The show action creates an instance of `RankingSelectorInterface` to provide to the visual so that the Ranking Selector can be displayed to the user.

The commit action is invoked when the user leaves the selector visual by pressing the OK button. Depending on the selected options, rankings are applied to the data model.

The cancel action is invoked when the user leaves the selector visual by pressing the Cancel button. There is no specific processing by this command for the cancel action.

The process action keeps the user interface (UI) of the Ranking Selector up to date when the user interact with the UI.

Since:
  3.1

Field Summary
`java.lang.String` | `basedOn`
`int` | `bottomN`
`java.lang.String` | `bottomPercent`
`protected java.lang.String[]` | `dataItem`
`java.lang.String` | `of`
`protected java.lang.String` | `rankProperties`
`protected java.lang.String` | `remoteAction`
`protected java.lang.String` | `remoteBasedOn`
`protected java.lang.String` | `remoteBasedOnDesc`
`protected java.lang.String` | `remoteButtonRowId`
`protected java.lang.String` | `remoteDataItemId`
`protected java.lang.String` | `remoteIncludeTies`
`protected java.lang.String` | `remoteRankOrder`
`protected int` | `remoteRankType`
`protected int` | `remoteRankValue`
`protected java.lang.String` | `remoteWhereClause`
`protected java.lang.String` | `remoteWhereValue`
`java.lang.String` | `show`
`int` | `topN`
`java.lang.String` | `topPercent`
`protected java.lang.String[]` | `whereClause`

Fields inherited from class com.sas.commands.dataselectors.BaseSelectorCommand
`actionClass, CANCEL_MODE, COMMIT_MODE, complete, contentsChanged, eventInfo, eventSource, modal, mode, model, PROCESS_MODE, selector, selectorModel, SHOW_MODE`

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`RankingCommand()` Default Constructor.
`RankingCommand(java.lang.String name)` Constructor that accepts a command name.
`RankingCommand(java.lang.String name, java.lang.String actionClass)` Constructor that accepts a command name and an action class type.

Method Summary
`protected void` | `commit(java.lang.Object o)`
`java.lang.String[]` | `getDataItem()`
`java.lang.String` | `getRankProperties()`
`java.lang.String` | `getRemoteAction()`
`java.lang.String` | `getRemoteBasedOn()`
`java.lang.String` | `getRemoteBasedOnDesc()`
`java.lang.String` | `getRemoteButtonRowId()`
`java.lang.String` | `getRemoteDataItemId()`
`java.lang.String` | `getRemoteIncludeTies()`
`java.lang.String` | `getRemoteRankOrder()`
`int` | `getRemoteRankType()`
`int` | `getRemoteRankValue()`
`java.lang.String` | `getRemoteWhereClause()`
`java.lang.String` | `getRemoteWhereValue()`
`java.lang.String[]` | `getWhereClause()`
`boolean` | `isSupported(ActionSupportFilter actionFilter)` Returns a boolean indicating whether the command is supported for the given area as specified by the current area information encapsulated in the ActionSupportFilter.
`protected void` | `process(java.lang.Object o)`
`void` | `setDataItem(java.lang.String[] dataItem)`
`void` | `setRankProperties(java.lang.String rankProperties)`
`void` | `setRemoteAction(java.lang.String value)`
`void` | `setRemoteBasedOn(java.lang.String value)`
`void` | `setRemoteBasedOnDesc(java.lang.String value)`
`void` | `setRemoteButtonRowId(java.lang.String value)`
`void` | `setRemoteDataItemId(java.lang.String value)`
`void` | `setRemoteIncludeTies(java.lang.String value)`
`void` | `setRemoteRankOrder(java.lang.String remoteRankOrder)`
`void` | `setRemoteRankType(int value)`
`void` | `setRemoteRankValue(int value)`
`void` | `setRemoteWhereClause(java.lang.String value)`
`void` | `setRemoteWhereValue(java.lang.String value)`
`void` | `setWhereClause(java.lang.String[] whereClause)`
`protected void` | `show(java.lang.Object o)`

Methods inherited from class com.sas.commands.dataselectors.BaseSelectorCommand
`cancel, cancel, closeSelector, execute, getEventInfo, getEventSource, getMode, getModel, getSelector, getSelectorModel, isComplete, isContentsChanged, isModal, setComplete, setModal, setMode, setModel, setSelector, setSelectorModel`

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Field Detail

### dataItem

    protected java.lang.String[] dataItem

### rankProperties

    protected java.lang.String rankProperties

### whereClause

    protected java.lang.String[] whereClause

### remoteRankOrder

    protected java.lang.String remoteRankOrder

### remoteRankValue

    protected int remoteRankValue

### remoteRankType

    protected int remoteRankType

### remoteIncludeTies

    protected java.lang.String remoteIncludeTies

### remoteBasedOn

    protected java.lang.String remoteBasedOn

### remoteBasedOnDesc

    protected java.lang.String remoteBasedOnDesc

### remoteAction

    protected java.lang.String remoteAction

### remoteDataItemId

    protected java.lang.String remoteDataItemId

### remoteWhereClause

    protected java.lang.String remoteWhereClause

### remoteButtonRowId

    protected java.lang.String remoteButtonRowId

### remoteWhereValue

    protected java.lang.String remoteWhereValue

### topN

    public int topN

### bottomN

    public int bottomN

### topPercent

    public java.lang.String topPercent

### bottomPercent

    public java.lang.String bottomPercent

### show

    public java.lang.String show

### basedOn

    public java.lang.String basedOn

### of

    public java.lang.String of

Constructor Detail

### RankingCommand

    public RankingCommand()

  Default Constructor.

### RankingCommand

    public RankingCommand(java.lang.String name)

  Constructor that accepts a command name.

  Parameters:
    `name` - The command name.

### RankingCommand

    public RankingCommand(java.lang.String name,
                          java.lang.String actionClass)

  Constructor that accepts a command name and an action class type.

  Parameters:
    `name` - The command name.
    `actionClass` - The action class type.

Method Detail

### show

    protected void show(java.lang.Object o)

  Overrides:
    `show` in class `BaseSelectorCommand`

### commit

    protected void commit(java.lang.Object o)
                   throws java.io.IOException

  Overrides:
    `commit` in class `BaseSelectorCommand`
  Throws:
    `java.io.IOException`

### process

    protected void process(java.lang.Object o)

  Overrides:
    `process` in class `BaseSelectorCommand`

### isSupported

    public boolean isSupported(ActionSupportFilter actionFilter)

  Description copied from interface: `CommandSupportedInterface`

  Returns a boolean indicating whether the command is supported for the given area as specified by the current area information encapsulated in the ActionSupportFilter.

  Specified by:
    `isSupported` in interface `CommandSupportedInterface`
  Parameters:
    `actionFilter` - The ActionSupportFilter that encapsulates all the necessary information to describe the current area.
  Returns:
    a boolean indicating whether the command is supported
  See Also:
    `BaseAction.setReturnStatus(int)`

### setDataItem

    public void setDataItem(java.lang.String[] dataItem)

### getDataItem

    public java.lang.String[] getDataItem()

### setRankProperties

    public void setRankProperties(java.lang.String rankProperties)

### getRankProperties

    public java.lang.String getRankProperties()

### setWhereClause

    public void setWhereClause(java.lang.String[] whereClause)

### getWhereClause

    public java.lang.String[] getWhereClause()

### setRemoteRankOrder

    public void setRemoteRankOrder(java.lang.String remoteRankOrder)

### getRemoteRankOrder

    public java.lang.String getRemoteRankOrder()

### setRemoteRankValue

    public void setRemoteRankValue(int value)

### getRemoteRankValue

    public int getRemoteRankValue()

### setRemoteRankType

    public void setRemoteRankType(int value)

### getRemoteRankType

    public int getRemoteRankType()

### setRemoteIncludeTies

    public void setRemoteIncludeTies(java.lang.String value)

### getRemoteIncludeTies

    public java.lang.String getRemoteIncludeTies()

### setRemoteBasedOn

    public void setRemoteBasedOn(java.lang.String value)

### getRemoteBasedOn

    public java.lang.String getRemoteBasedOn()

### setRemoteBasedOnDesc

    public void setRemoteBasedOnDesc(java.lang.String value)

### getRemoteBasedOnDesc

    public java.lang.String getRemoteBasedOnDesc()

### setRemoteAction

    public void setRemoteAction(java.lang.String value)

### getRemoteAction

    public java.lang.String getRemoteAction()

### setRemoteDataItemId

    public void setRemoteDataItemId(java.lang.String value)

### getRemoteDataItemId

    public java.lang.String getRemoteDataItemId()

### setRemoteWhereClause

    public void setRemoteWhereClause(java.lang.String value)

### getRemoteWhereClause

    public java.lang.String getRemoteWhereClause()

### setRemoteButtonRowId

    public void setRemoteButtonRowId(java.lang.String value)

### getRemoteButtonRowId

    public java.lang.String getRemoteButtonRowId()

### setRemoteWhereValue

    public void setRemoteWhereValue(java.lang.String value)

### getRemoteWhereValue

    public java.lang.String getRemoteWhereValue()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.